Package be.vlaanderen.mercurius.vsb.common.v2

# Class TimePeriodType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.TimePeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class TimePeriodType extends Object implements Serializable
used: Common.xsd (ConsultViewWithTimePeriodRequest), ConsultAffiliationView.xsd, ConsultContributionObligationView.xsd, ConsultContributionView.xsd, ConsultExemptionView.xsd, ConsultFineView.xsd, ConsultMutationView.xsd, ConsultSuspensionFineYearView.xsd

Java class for TimePeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimePeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="StartYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}VSBYearType" minOccurs="0"/>
             <element name="EndYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}VSBYearType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimePeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getEndYear()`
  Eindjaar van de periode die men opvraagt
  `Integer`
  `getStartYear()`
  Startjaar van de periode die men opvraagt (>=2001)
  `void`
  `setEndYear(Integer value)`
  Sets the value of the endYear property.
  `void`
  `setStartYear(Integer value)`
  Sets the value of the startYear property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimePeriodType

    public TimePeriodType()

- ## Method Details

  - ### getStartYear

    public Integer getStartYear()
    Startjaar van de periode die men opvraagt (>=2001)
    Returns:
      possible object is `Integer`

  - ### setStartYear

    public void setStartYear(Integer value)
    Sets the value of the startYear property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getStartYear()`

  - ### getEndYear

    public Integer getEndYear()
    Eindjaar van de periode die men opvraagt
    Returns:
      possible object is `Integer`

  - ### setEndYear

    public void setEndYear(Integer value)
    Sets the value of the endYear property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getEndYear()`